const http = require('http');
const https = require('https');
const path = require('path');
const express = require('express');

const app = express();

const server = http.createServer(app);
app.get('/', function(req, response) {
  const options = {
    hostname: 'api.github.com',
    path: '/user',
    method: 'GET'
  };
  let body = '';
  https.request(options, res => {
    res.on('data', chunk => {
      body += chunk;
    });
    res.on('end', () => {
      console.log('response is: ', body);
      response.send('pancakes');
    });
  });
});

server.listen(3000, function() {
  console.log('Listening at port 3000');
});

module.exports = server;


