import { getPackages, getStackFromServer, getLiabilitiesViewWithPackages } from './packages-helpers';

function startApplication() {
  getStackFromServer()
    .then(stack => {
      const packages = getPackages(stack);
      getLiabilitiesViewWithPackages(packages);
    });
}

console.log('client/index.js loaded');
startApplication();