function clickDropdownWithSelectedOption(dropdownId, selectedOption) {
  const orderDropdown = document.getElementById(dropdownId);
  orderDropdown.selectedIndex = selectedOption;
  orderDropdown.dispatchEvent(new Event('change'));
}

export function clickDropdownOrderLargestList() {
  clickDropdownWithSelectedOption('dropdown-order', 0);
}

export function clickDropdownOrderAlphabetical() {
  clickDropdownWithSelectedOption('dropdown-order', 1);
}

export function getPackagesByOrder() {
  return [0, 1, 2, 3, 4]
    .map(idx =>
      document.querySelector(`[data-automation-id*="package-row-${idx}"] 
                                  [data-automation-id~="package-row-header-name"]`).textContent);
}
