export const noPackages = [];

export const packageWithoutLiabilities = [{
  name: 'test-p-1',
  version: '1.0.0',
  liabilities: []
}];

export const packageWithLiabilities = [{
  name: 'test-p-1',
  version: '1.0.0',
  liabilities: [
      {
        name: 'test-p-1-1',
        version: '1.1.1'
      },
      {
        name: 'test-p-1-2',
        version: '1.2.5'
      }
    ]
}];

export const packagesWithLiabilities = [
  {
    name: 'test-p-1',
    version: '1.0.0',
    liabilities: [
        {
          name: 'test-p-1-1',
          version: '1.1.1'
        },
        {
          name: 'test-p-1-2',
          version: '1.2.5'
        }
      ]
  },
  {
    name: 'test-p-1-1',
    version: '1.1.0',
    liabilities: []
  },
  {
    name: 'test-p-1-2',
    version: '1.0.0',
    liabilities: [
        {
          name: 'test-p-1-2-1',
          version: '6.6.6',
          failing: '1.1.1'
        }
      ]
  },
  {
    name: 'test-p-1-2-2',
    version: '1.1.0',
    liabilities: []
  },
  {
    name: 'test-p-1-2-1',
    version: '1.89.01',
    liabilities: []
  }
];